Bug 50789 - Mismatching wireless extensions and iwconfig versions
Mismatching wireless extensions and iwconfig versions
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 02:55 EDT by Pekka Savola
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-11 07:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
you know, if wireless-tools is trusting this value, we should set it. :) (565 bytes, patch)
2001-08-03 12:06 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Pekka Savola 2001-08-03 02:55:16 EDT
On RHL71 (with updates) and Roswell both I get like:

Warning : Device wvlan0 has been compiled with version 68
of Wireless Extension, while we are using version 11.
Some things may be broken...

wvlan0    IEEE 802.11-DS  ESSID:"B022"  Nickname:"WLAN"
          Mode:Ad-Hoc  Frequency:2.422GHz  Cell: 02:60:1D:F1:64:37
          Bit Rate:2Mb/s   Sensitivity:1/3  
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0/92  Signal level:-102 dBm  Noise level:-102 dBm
          Rx invalid nwid:0  invalid crypt:0  invalid misc:0

I'm using wvlan_cs driver.

Please note that 'compiled with version xx' changes between consecutive
'iwconfig' runs
between 0 and about 236.  As Link Quality, etc. have never worked here, I
believe
this may be a problem with those (or some other value that changes all the
time).

A problem could be that wireless-tools is compiled against glibc kernel
headers.  However, recompiling with -I/usr/src/linux-2.4.6-3.1/include
changes nothing (and wireless.h is identical anyway).

Rebuilding will not help.

I find this most odd.
Comment 1 Bill Nottingham 2001-08-03 10:51:38 EDT
Arjan, any ideas why building against the current kernel version wouldn't
fix this?

What card are you using?
Comment 2 Arjan van de Ven 2001-08-03 10:57:09 EDT
Thing is, this driver hasn't changed in ages....
Comment 3 Bill Nottingham 2001-08-03 11:07:01 EDT
So, what version of wireless extensions a driver uses is completely driver
dependent (it isn't a core subsystem)

/me swears about DRI all over again.
Comment 4 Bill Nottingham 2001-08-03 12:00:14 EDT
wvlan_cs must not be implementing the versioning right. Assigning to kernel. :)

You may want to try using orinoco_cs instead.
Comment 5 Bill Nottingham 2001-08-03 12:05:43 EDT
Or, try the attached. (mmm, unitialized variables...)
Comment 6 Bill Nottingham 2001-08-03 12:06:26 EDT
Created attachment 26091 [details]
you know, if wireless-tools is trusting this value, we should set it. :)
Comment 7 Bill Nottingham 2001-08-03 12:07:00 EDT
(warning: *completely* untested. code cut-n-pasted right out of orinoco_cs)
Comment 8 Pekka Savola 2001-08-03 15:33:01 EDT
I'd probably use orinoco_cs if I it would work :-).  After modprobing it, no network interfaces appear.  
I wonder what's the problem with it.

I pointed the WE problem to Jean Tourrilhes and he said the module is not up to date.  So, your fix looks
promising from that perspective.  (unfortunately, I'm unable to test the patch at this point).

I'm using Lucent WaveLAN 11mbit gold card.  Pretty basic stuff.
Comment 9 Glen Foster 2001-08-06 18:42:51 EDT
We (Red Hat) should try to fix this for the next release.
Comment 10 Pekka Savola 2001-08-11 06:59:58 EDT
The same also happens with orinoco_cs (2.4.7-0.9.1 or the like too).
Comment 11 Arjan van de Ven 2001-08-17 08:17:41 EDT
wvlan_cs updated as of 2.4.7-2.4
should be fixed in that
Comment 12 Bruce Allen 2003-06-17 14:28:05 EDT
Sorry to repopen old wounds.  Note warning message on 8th line below.  This is
the wvlan_cs driver.

[root@lap ballen]# cat /etc/redhat-release 
Red Hat Linux release 7.3 (Valhalla)

[root@lap ballen]# uname -a
Linux lap 2.4.20-18.7 #1 Thu May 29 08:32:50 EDT 2003 i686 unknown

[root@lap ballen]# rpm  -q -f /sbin/iwconfig
wireless-tools-23-2

[root@lap ballen]# iwconfig eth1
Warning : Device eth1 has been compiled with version 15
of Wireless Extension, while we are using version 12.
Some things may be broken...

eth1      IEEE 802.11-DS  ESSID:"Wavelan Network"  Nickname:"lap"
          Mode:Ad-Hoc  Frequency:2.422GHz  Cell: 02:02:2D:14:E1:C4
          Bit Rate:2Mb/s   Tx-Power=15 dBm   Sensitivity:1/3  
          RTS thr:off   Fragment thr:off
          Encryption key: [ERASED BEFORE POSTING]
          Power Management:off
          Link Quality:0/92  Signal level:-102 dBm  Noise level:-102 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

[root@lap ballen]# lsmod
Module                  Size  Used by    Tainted: PF 
vmnet                  25952   9 
vmmon                  35700   5 
maestro3               27944   1  (autoclean)
ac97_codec             13248   0  (autoclean) [maestro3]
soundcore               6468   2  (autoclean) [maestro3]
i8k                     7284   0  (unused)
binfmt_misc             7204   1 
parport_pc             17604   1  (autoclean)
lp                      8544   0  (autoclean)
parport                34112   1  (autoclean) [parport_pc lp]
autofs                 11844   0  (autoclean) (unused)
wvlan_cs               26112   1 
ds                      8576   3  [wvlan_cs]
yenta_socket           13056   3 
pcmcia_core            52704   0  [wvlan_cs ds yenta_socket]
xircom_cb               7904   1 
ipchains               50124  13 
usb-uhci               24676   0  (unused)
usbcore                73792   1  [usb-uhci]
ext3                   66592   2 
jbd                    47596   2  [ext3]

Note You need to log in before you can comment on or make changes to this bug.